CATKIN-PKG(1)

NAME
catkin_generate_changelog - generate a REP-0132 CHANGELOG.rst

SYNOPSIS
catkin_generate_changelog [-h] [-a] [--print-root] [-y]

DESCRIPTION
Generate a REP-0132 CHANGELOG.rst

OPTIONS

-h, --help
    show this help message and exit

-a, --all
    Generate changelog for all versions instead of only the forthcoming one (only supported when no changelog file exists yet)

--print-root
    Output changelog content to the console as if there would be only one package in the root of the repository -y, --non-interactive Run without user interaction, confirming all questions with 'yes'

AUTHOR
Willow Garage and the Open Source Robotics Foundation.